# Uses of Class
org.eclipse.jdt.core.dom.NullLiteral

Packages that use NullLiteral
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of NullLiteral in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return NullLiteral
Modifier and Type
Method
Description
`NullLiteral`
AST.`newNullLiteral()`
Creates and returns a new unparented null literal node.
Methods in org.eclipse.jdt.core.dom with parameters of type NullLiteral
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(NullLiteral node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(NullLiteral node, Object other)`
Returns whether the given node and the other object match.
`boolean`
ASTVisitor.`visit(NullLiteral node)`
Visits the given type-specific AST node.